import request from '@/utils/request'

// 查询工单流程列表
export function listWfprocess(query) {
  return request({
    url: '/system/wfprocess/list',
    method: 'get',
    params: query
  })
}

// 查询工单流程详细
export function getWfprocess(wfProcessId) {
  return request({
    url: '/system/wfprocess/' + wfProcessId,
    method: 'get'
  })
}

// 新增工单流程
export function addWfprocess(data) {
  return request({
    url: '/system/wfprocess',
    method: 'post',
    data: data
  })
}

// 修改工单流程
export function updateWfprocess(data) {
  return request({
    url: '/system/wfprocess',
    method: 'put',
    data: data
  })
}

// 删除工单流程
export function delWfprocess(wfProcessId) {
  return request({
    url: '/system/wfprocess/' + wfProcessId,
    method: 'delete'
  })
}
